Bug 334771 - /usr/lib/pkgconfig folder should be owned by gtk2-engines package
Summary: /usr/lib/pkgconfig folder should be owned by gtk2-engines package
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2-engines (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-16 16:45 UTC by petrosyan
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 18:07:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description petrosyan 2007-10-16 16:45:39 UTC
Description of problem:
/usr/lib/pkgconfig folder should be owned by gtk2-engines package

Version-Release number of selected component (if applicable):
gtk2-engines-2.12.2-1.fc8

Steps to Reproduce:
1. rpm -qf /usr/lib/pkgconfig
2. rpm -qf /usr/lib/pkgconfig/gtk-engines-2.pc

Comment 1 Matthias Clasen 2007-10-16 18:07:58 UTC
no.

/usr/lib/pkgconfig is owned by (surprise !) pkgconfig, and gtk2-engines requires it.

Comment 2 petrosyan 2007-10-17 00:09:25 UTC
I figured out what my problem was. I had gtk2-engines-2.12.2-1.fc8.i386 and
gtk2-engines-2.12.2-1.fc8.x86_64 installed on a 64 bit machine and only
pkgconfig-0.22-3.fc8.x86_64

so I had /usr/lib64/pkgconfig but not /usr/lib/pkgconfig.
do you know why I have two different versions of gtk2-engines? this is a
standard Fedora 8 Test 3 install with all the updates. Should I remove the i386 one?


Note You need to log in before you can comment on or make changes to this bug.